Subject: [Isis-wg] clarification : draft-ietf-isis-traffic-05.txt

From: Erblichs <[email-masked]>
Date: Mon, 06 Oct 2003 18:28:53 -0700

Group and authors,

	I have a number(6) of clarifications that I am unsure
	how to proceed with. Just trying to work up a
	implementation..

	Oh, I don't think I am on this mailing list so please
	include my addr in the reply. :)

	2.0 Introducing Sub-TLVs

	"The number of items in a sub-TLV can be computed from
	the length of the whole sub-TLV, when the length of
	each item is known"

	  a)What do we do if we have a length / subTLV mismatch?
		If the length indicates lost sub-TLVs? Because
		the sub-type is 0, etc? Do we stop processing
		just this sub-TLV OR do we stop processing all
	        sub-TLVs from this sub-TLV OR do we throw away
		all the sub-TLVs that were based on this TLV?

	3.1 Sub-TLV 3: Administrative group ...

	  b) Can a network administrator assign multiple groups
	   to a single interface with two or more bits being set?

	  c) "Should appear at most once". Does that mean only
	     the first one is used? Does that mean if we see two
	     of these sub-TLVs, then both should be discarded?

	3.3 Sub-TLV 8: IPv4 neighbor address

	   d) Can two identical nbr addrs exist in this sub-TLV?

	   e) Should/ could the nbr addrs be ordered? What would be
	      the consequences of ordering nbr addrs?

	3.5) and 3.6) Repeat the c) Clarification..

	3.3)  f) Why isn't the same caution in 3.6 
	         "For stability reasons,... applied to 3.3?

	Mitchell Erblich
	Sr Software Engineer

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg